<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

			<title>Did Moreto Write these Works? Stylometry and Machine Learning for Authorship Verification</title>

			<meta name="description" content="Did Moreto Write these Works? Stylometry and Machine Learning for Authorship Verification">
		<meta name="author" content="Dr. José Calvo Tello">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/theme/sky.css" id="theme">
		<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
### Did Moreto Write these Works?
#### Stylometry and Machine Learning for Authorship Verification

<br />

<img data-src="./img/replicate-prediction-bv2ol2ikgrh6vc6hur7y74povi.png" width="300"/>

<br />

##### Digitale Analysen zu Machtverhältnissen im spanischen Theater des Siglo de Oro: Autoren, Figuren und Netzwerke, PD. Dr. Nanette Rißler-Pipka
###### 24.01.2022

<hr />

#### Dr. José Calvo Tello
##### Fachreferent für Romanistik, DH und Kunstgeschichte, SUB Göttingen

---

## About me

--

## About me

- PhD:  *The Novel in the Spanish Silver Age: A Digital Analysis of Genre Using Machine Learning*
- In Open Access: https://www.transcript-verlag.de/978-3-8376-5925-2/the-novel-in-the-spanish-silver-age/
- Since May 2020 researcher and subject librarian (Romance Studies, DH, History of Art) (SUB, Göttingen)


---

# Spanish Golden Age and Theater

--


## Spanish Golden Age and Theater



- 1500-1700
- Many discussed cases of attribution
- Large dramatic corpus
- Agustín Moreto (1618–1669)

<br />

<img data-src="./img/2022-01-21_13h00_15.png" width="200"/>

---

# Context of this Work

--

## Context of this Work

- Freelancer: More Than Books
- Cooperation with the Project *Moretianos* http://www.moretianos.com/

--

## Context of this Work
- Complex problems!
- Preparing editions from Moreto's works, but about which works?
- Stylometric analysis of several texts
- Problem:
    - <del>Who is the author? **Authorship attribution**</del>
    - Is Moreto the author? **Authorship verification**
    - We know that several authors (including Moreto) wrote the text together, to what extent wrote Moreto the work?
    - We know that several authors wrote the text together; was Moreto among them and if yes, to what extent?

---

# Preparation of the Corpus

--

## Preparation of the Corpus
- Moreto-sure: 18 works
- Moreto-doubt: 10 works
- Comparing corpus: 59 works
    - https://tc12.uv.es/?page_id=3626
- Resulting corpora:
	- 28 works from Moreto (sure and doubt)
	- 77 works with undisputed authorship
	- total corpus of 87 works

--

# Problems in the Metadata and Corpus
- Same text several times but with different names
- Same text, both as disputed and undisputed

--

# Conversion
- Moreto‘s corpus: Word → Word XML → pseudo-TEI → plaintext (txt)
- Comparing corpus: HTML → TEI → plaintext (txt)

---

# Analysis

--

## Analysis

- R package stylo (from Python)
    - https://cligs.hypotheses.org/577
- Python scripts

--

## Unsupervised methods: Dimensionality Reduction 

<img data-src="./img/2022-01-24_12h03_58.png" width="600"/>



--

## Unsupervised methods: Dimensionality Reduction 

<img data-src="./img/2022-01-24_12h04_06.png" width="600"/>

--

## Unsupervised methods: Dimensionality Reduction 


<img data-src="./img/2022-01-21_11h40_00.png" width="600"/>

--

## Unsupervised methods: Dimensionality reduction 

<img data-src="./img/2022-01-21_11h40_40.png" width="600"/>


--

## Unsupervised methods: Clustering

<img data-src="./img/2022-01-21_11h40_14.png" width="600"/>


--

## Unsupervised methods: Clustering Binary

<img data-src="./img/2022-01-21_11h40_48.png" width="600"/>




--

## Unsupervised methods: Clustering Multiclass

<img data-src="./img/2022-01-21_11h41_53.png" width="600"/>

--


## Supervised methods

--

## Supervised methods: Classification

* Evaluation
* Prediction


--

## Supervised methods: Evaluation of multiclass classification
<img data-src="./img/2022-01-21_11h42_06.png" width="600"/>


--

## Supervised methods: Evaluation of binary classification
<img data-src="./img/2022-01-21_11h42_25.png" width="600"/>

--

## Supervised methods: Results of binary classification
<img data-src="./img/2022-01-21_11h43_11.png" width="600"/>

--

## Supervised methods: Results of multiclass classification
<img data-src="./img/2022-01-21_11h42_42.png" width="600"/>

--

## Supervised methods: Results of several Corpora
<img data-src="./img/2022-01-21_11h43_23.png" width="600"/>



--

## Supervised methods: Logistic regression and Probabilities
<img data-src="./img/2022-01-21_11h43_33.png" width="600"/>

---

# Deliverables and Further Publication

--

## Deliverables and Further Publication

- Report
- Data
- Code
- Later published as an article:
	- Ulla Lorenzo, Alejandra, Elena Martínez Carro, and José Calvo Tello. 2020. ‘Las comedias de dudosa atribución de Agustín Moreto: nuevas perspectivas estilométricas’. *Neophilologus* 105 (June): 57–73. https://doi.org/10.1007/s11061-020-09649-3.


---

# Conclusions

--

# Conclusions

- Moreto's works: Amor-Obligación y Siete-Durmientes
- Still in doubt: Como-Vengan-Nobles.
- Other seven works: Not by Moreto


---


# Lessons learned

--

# Lessons learned

- Universities have troubles working with freelancers
- Test your corpus for repeated instances
- Curate your metadata (titles, genre and subgenre, certainty about authorship, identifiers, urls...)
- Give folder name that make the process explicit
- Give script names that make the process explicit



--

<img data-src="./../../images/danke.png" width="400"/>

--

### Question?


<img data-src="./img/replicate-prediction-bv2ol2ikgrh6vc6hur7y74povi.png" width="600"/>

<small>* Picture generated automatically with Pixray with the Promt "Stylometry and Machine Learning for Spanish Theater from the Golden Age" </small>

					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    